package com.laguerre.kan;

import java.util.Arrays;

public final class SurfaceInfo {
	private static SurfaceInfo instance = null;
	public static SurfaceInfo getInstance() {
		if (instance == null) {
			instance = new SurfaceInfo();
		}
		return instance;
	}
	public static void resetInstance() {
		instance = null;
	}

	private final int[] surfaceSize = new int[2];
	private float ratio = 1.0f;

	private SurfaceInfo() {
		Arrays.fill(this.surfaceSize, 100);
	}

	public void setSurfaceSize(int width, int height) {
		this.surfaceSize[0] = width;
		this.surfaceSize[1] = height;
	}

	public void setSurfaceSize(int[] surfaceSize) {
		System.arraycopy(surfaceSize, 0, this.surfaceSize, 0, 2);
		this.ratio = ((float) surfaceSize[0]) / surfaceSize[1];
	}

	public void getSurfaceSize(int[] surfaceSize) {
		System.arraycopy(this.surfaceSize, 0, surfaceSize, 0, 2);
	}

	public int getSurfaceWidth() {
		return this.surfaceSize[0];
	}

	public int getSurfaceHeight() {
		return this.surfaceSize[1];
	}

	public float getRatio() {
		return this.ratio;
	}
}
