package com.laguerre.mytest;

import com.laguerre.kan.Input;

import android.content.Context;
import android.opengl.GLSurfaceView;
import android.view.MotionEvent;

class MyGLSurfaceView extends GLSurfaceView {

	private MyGL20Renderer mRenderer;

    public MyGLSurfaceView(Context context){
        super(context);
        setEGLContextClientVersion(2);
        setEGLConfigChooser(true);
        // Set the Renderer for drawing on the GLSurfaceView
        this.mRenderer = new MyGL20Renderer(context);
        setRenderer(this.mRenderer);
        setRenderMode(RENDERMODE_CONTINUOUSLY);
    }

	@Override
	public boolean onTouchEvent(MotionEvent e) {
		final MotionEvent toBePassedEvent = e;
        queueEvent(new Runnable() {
            // This method will be called on the rendering thread:
            public void run() {
            	Input.getInstance().onTouchEvent(toBePassedEvent);
            }});
		return true;
	}
}
